Opened 12 years ago

Last modified 12 years ago

#594 closed enhancement (Fixed)

Support for Firefox 3.0 betas

Reported by: jack Owned by:
Priority: High Milestone:
Component: Applications/Torbutton Version: 1.1
Severity: Keywords:
Cc: jack, computerguy12056 Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Hiya,

I'd like to request TorButton support for the newer firefoxes.

--Jack

[Automatically added by flyspray2trac: Operating System: All]

Child Tickets

Change History (4)

comment:1 Changed 12 years ago by hacked2123

http://developer.mozilla.org/en/docs/Updating_extensions_for_Firefox_3
According to this ->
"Before going further, there's one helpful hint we can offer: if the only change your extension requires is a bump to the maxVersion field in its install manifest, and you host your extension at addons.mozilla.org, you don't actually need to upload a new version of your extension! Simply use the Developer Control Panel at AMO to adjust the maxVersion. You can avoid having to have your extension re-reviewed this way."
And it can already be found on the https:
addons.mozilla.org can't it?

comment:2 Changed 12 years ago by hacked2123

http://developer.mozilla.org/en/docs/Extension_Versioning%2C_Update_and_Compatibility#Securing_Updates
Also in that link it is said that personally hosted files via http, rather than https, can be used provided that they have a digital signature (a hash)

comment:3 Changed 11 years ago by computerguy12056

I had the same problem in Firefox 3 Beta 4!!

comment:4 Changed 11 years ago by mikeperry

flyspray2trac: bug closed.
Fixed in 1.2.0rc1

Note: See TracTickets for help on using tickets.